zenilib: vorbis_info_floor1 Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
vorbis_info_floor1 Struct Reference

`#include <backends.h>`

## Public Attributes

int | class_book [VIF_CLASS]
int | class_dim [VIF_CLASS]
int | class_subbook [VIF_CLASS][8]
int | class_subs [VIF_CLASS]
float | maxerr
float | maxover
float | maxunder
int | mult
int | n
int | partitionclass [VIF_PARTS]
int | partitions
int | postlist [VIF_POSIT+2]
float | twofitatten
float | twofitweight

## Detailed Description

Definition at line 61 of file backends.h.

## Member Data Documentation

int vorbis_info_floor1::class_book[VIF_CLASS]

Definition at line 67 of file backends.h.

Referenced by floor1_encode(), floor1_inverse1(), floor1_pack(), floor1_unpack(), and vorbis_encode_floor_setup().

int vorbis_info_floor1::class_dim[VIF_CLASS]

Definition at line 65 of file backends.h.

Referenced by floor1_encode(), floor1_inverse1(), floor1_look(), floor1_pack(), and floor1_unpack().

int vorbis_info_floor1::class_subbook[VIF_CLASS][8]

Definition at line 68 of file backends.h.

Referenced by floor1_encode(), floor1_inverse1(), floor1_pack(), floor1_unpack(), and vorbis_encode_floor_setup().

int vorbis_info_floor1::class_subs[VIF_CLASS]

Definition at line 66 of file backends.h.

Referenced by floor1_encode(), floor1_inverse1(), floor1_pack(), floor1_unpack(), and vorbis_encode_floor_setup().

float vorbis_info_floor1::maxerr

Definition at line 78 of file backends.h.

Referenced by inspect_error().

float vorbis_info_floor1::maxover

Definition at line 76 of file backends.h.

Referenced by inspect_error().

float vorbis_info_floor1::maxunder

Definition at line 77 of file backends.h.

Referenced by inspect_error().

int vorbis_info_floor1::mult

Definition at line 71 of file backends.h.

Referenced by floor1_encode(), floor1_inverse2(), floor1_look(), floor1_pack(), and floor1_unpack().

int vorbis_info_floor1::n

Definition at line 83 of file backends.h.

Referenced by vorbis_encode_residue_setup().

int vorbis_info_floor1::partitionclass[VIF_PARTS]

Definition at line 63 of file backends.h.

Referenced by floor1_encode(), floor1_inverse1(), floor1_look(), floor1_pack(), floor1_unpack(), and vorbis_encode_floor_setup().

int vorbis_info_floor1::partitions

Definition at line 62 of file backends.h.

Referenced by floor1_encode(), floor1_inverse1(), floor1_look(), floor1_pack(), floor1_unpack(), and vorbis_encode_floor_setup().

int vorbis_info_floor1::postlist[VIF_POSIT+2]

Definition at line 72 of file backends.h.

Referenced by floor1_encode(), floor1_fit(), floor1_inverse1(), floor1_inverse2(), floor1_look(), floor1_pack(), and floor1_unpack().

float vorbis_info_floor1::twofitatten

Definition at line 81 of file backends.h.

Referenced by accumulate_fit(), and inspect_error().

float vorbis_info_floor1::twofitweight

Definition at line 80 of file backends.h.

Referenced by fit_line().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/libvorbis/lib/backends.h